#include "config.h"
#include "system.h"
#include "coretypes.h"
#include "tm.h"
#include "tree.h"
#include "c-tree.h"


tree
_TREE_TYPE (tree t)
{
	return TREE_TYPE (t);
}

enum tree_code
_TREE_CODE (tree t)
{
	return TREE_CODE (t);
}

tree
_TREE_CHAIN (tree t)
{
	return TREE_CHAIN (t);
}

tree
_DECL_NAME (tree t)
{
	return DECL_NAME (t);
}

tree
_CALL_EXPR_FN (tree t)
{
	return CALL_EXPR_FN (t);
}

tree
_CALL_EXPR_ARGS (tree t)
{
	return CALL_EXPR_ARGS (t);
}

tree
_CALL_EXPR_ARG (tree t, int i)
{
	return CALL_EXPR_ARG (t, i);
}
